Bug Hunting Session
Bug 100251 - Toolbar separators are white (gtk+ 3.20)
Summary: Toolbar separators are white (gtk+ 3.20)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta1
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2016-06-07 07:16 UTC by Hussam Al-Tayeb
Modified: 2016-10-18 12:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
libreoffice toolbar (334.34 KB, image/png)
2016-06-07 07:16 UTC, Hussam Al-Tayeb
Details
evolution toolbar (26.76 KB, image/png)
2016-06-07 07:20 UTC, Hussam Al-Tayeb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2016-06-07 07:16:40 UTC
Created attachment 125531 [details]
libreoffice toolbar

The toolbar separators are white. They should be grey. I am using gtk3 3.20 with default adwaita theme.
I'll attach a screenshot for comparison.
Comment 1 Hussam Al-Tayeb 2016-06-07 07:20:23 UTC
Created attachment 125532 [details]
evolution toolbar

Notice the grey separator.
Comment 2 Buovjaga 2016-06-10 12:08:47 UTC
Not reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 2d2a33934ecb952433a635ce5dab76cb2837b8a0
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 9th 2016
(I used SAL_USE_VCLPLUGIN=gtk3 to launch)
Comment 3 Hussam Al-Tayeb 2016-06-10 12:12:04 UTC
(In reply to Buovjaga from comment #2)
> Not reproduced.
> 
> Arch Linux 64-bit, KDE Plasma 5
> Version: 5.3.0.0.alpha0+
> Build ID: 2d2a33934ecb952433a635ce5dab76cb2837b8a0
> CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
> Locale: fi-FI (fi_FI.UTF-8)
> Built on June 9th 2016
> (I used SAL_USE_VCLPLUGIN=gtk3 to launch)

Which gtk+ theme are you using?

Are you using the default gtk+ 3.20 theme (Adwaita) or a 3rd party theme?
Comment 4 Buovjaga 2016-06-10 12:18:46 UTC
I am using numix-frost
Comment 5 Hussam Al-Tayeb 2016-06-10 12:25:23 UTC
(In reply to Buovjaga from comment #4)
> I am using numix-frost

That explains why you do not see the bug then. Third party themes or ones not fully ported to 3.20 css node scheme may not operate the same.

I specifically mentioned gtk+ 3.20 and Adwaita in the first post to avoid confusion.
Comment 6 Yousuf Philips (jay) (retired) 2016-08-12 12:24:14 UTC
@Caolan: Another gtk 3.20 theming bug i assume.
Comment 7 Commit Notification 2016-10-18 12:12:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3498ed37527b7af795f00dc6a55c11e65a313186

Resolves: tdf#100251 gtk3 toolbar separators are white in Adwaita

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.